# 确认框

<div id="demo"></div>


````js
var React = require('react')
var ReactDOM = require('react-dom')
var Dialog = require('react-fast-dialog')
var App = React.createClass({
    getInitialState: function () {
        return {
            show: false,
            text: ''
        }
    },
    onClose: function () {
        this.setState({
            show: false
        })
    },
    showDialog: function () {
        this.setState({
            show: true
        })
    },
    onSubmit: function () {
        this.setState({
            show: false,
            text: new Date().getTime()
        })
    },
    render: function () {
        return (
            <div>
                {this.state.text}
                <button type="button" onClick={this.showDialog} >Click</button>
                <Dialog title={'确认信息'} onClose={this.onClose} show={this.state.show} >
                    你确定删除用户张三吗？
                    <div>
                        <button type="button" onClick={this.onSubmit} >确定</button>
                        <button type="button" onClick={this.onClose} >取消</button>
                    </div>
                </Dialog>
            </div>
        )
    }
})
ReactDOM.render(<App />, document.getElementById('demo'))
````
