# multiple-dialog

<div id="demo"></div>

````js
var React = require('react')
var ReactDOM = require('react-dom')
var Dialog = require('react-fast-dialog')
var App = React.createClass({
    getInitialState: function () {
        return {
            formShow: false,
            confirmShow: false
        }
    },
    showFormDialog: function () {
        this.setState({
            formShow: true
        })
    },
    onCloseForm: function () {
        this.setState({
            formShow: false
        })
    },
    submitForm: function () {
        this.setState({
            confirmShow: true
        })
    },
    confirmClose: function () {
        this.setState({
            confirmShow: false
        })
    },
    confirmClick: function () {
        this.setState({
            confirmShow: false,
            formShow: false
        })
        this.sendAjax()
    },
    sendAjax: function () {
        console.log('send ajax')
    },
    render: function () {
        return (
            <div>
                <button type="button" onClick={this.showFormDialog} >Add</button>
                <Dialog title={'表单'} show={this.state.formShow} onClose={this.onCloseForm} >
                    <button type="button" onClick={this.submitForm} >Submit</button>
                </Dialog>
                <Dialog title={'确定提交？'} show={this.state.confirmShow} onClose={this.confirmClose} >
                    1
                    <hr />
                    2
                    <hr />
                    3
                    <button type="button" onClick={this.confirmClick} >确定</button>
                </Dialog>
            </div>
        )
    }
})
ReactDOM.render(<App />, document.getElementById('demo'))
````
