# width height

> 通过 `style` 控制 `dialog` 的宽高


<div id="demo"></div>

````js
var React = require('react')
var ReactDOM = require('react-dom')
var Dialog = require('react-fast-dialog')
var App = React.createClass({
    getInitialState: function () {
        return { show: false }
    },
    onClose: function () {
        this.setState({
            show: false
        })
    },
    showDialog: function () {
        this.setState({
            show: true
        })
    },
    render: function () {
        return (
            <div>
                <button type="button" onClick={this.showDialog} >Click</button>
                <Dialog style={{
                    // "800px" "50%" "20rem"
                    width: '400px',
                    height: '100px'
                }} title={'草'} onClose={this.onClose} show={this.state.show} >
                    <div style={{
                        height:"70px",
                        overflow: 'auto'
                    }} >
                        <blockquote>
                            离离原上草，一岁一枯荣。<br />
                            野火烧不尽，春风吹又生。<br />
                            远芳侵古道，晴翠接荒城。<br />
                            又送王孙去，萋萋满别情。
                        </blockquote>
                    </div>
                </Dialog>
            </div>
        )
    }
})
ReactDOM.render(<App />, document.getElementById('demo'))
````
