# close component

<div id="demo"></div>

````js

var React = require('react')
var ReactDOM = require('react-dom')
var Dialog = require('react-fast-dialog')
var Close = React.createClass({
    getInitialState: function () {
        return {
            time: new Date().getTime()
        }
    },
    componentWillMount() {
        var self = this
        setTimeout(function timer() {
            self.setState({
                time: new Date().getTime()
            })
            setTimeout(timer, 500)
        }, 0)
    },
    render: function () {
        return (
            <div>
                <strong>{this.state.time}</strong>
            </div>
        )
    }
})
var App = React.createClass({
    getInitialState: function () {
        return {
            show: false
        }
    },
    onClose: function () {
        this.setState({
            show: false
        })
    },
    showDialog: function () {
        this.setState({
            show: true
        })
    },
    render: function () {
        var nodeClose = (
            <Close />
        )
        return (
            <div>
                <button type="button" onClick={this.showDialog} >Click</button>
                <Dialog title={'close component'} close={nodeClose} onClose={this.onClose} show={this.state.show} >
                    content
                </Dialog>
            </div>
        )
    }
})
ReactDOM.render(<App />, document.getElementById('demo'))
````
