# 不可关闭弹窗

## maskAllowClose : false  关闭此功能
## close : false 去除关闭按钮

<div id="demo"></div>

````js
var React = require('react')
var ReactDOM = require('react-dom')
var Dialog = require('react-fast-dialog')

var App = React.createClass({
    getInitialState: function () {
        return { show: false }
    },
    showDialog: function () {
        this.setState({
            show: true
        })
    },
    render: function () {
        return (
            <div>
                <button type="button" onClick={this.showDialog} >Click</button>
                <Dialog title={'标题'} show={this.state.show} maskAllowClose={false} close={false} >
                    <blockquote>
                        内容
                    </blockquote>
                </Dialog>
            </div>
        )
    }
})
ReactDOM.render(<App />, document.getElementById('demo'))
````
