"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

require("./index.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Dialog = function (_Component) {
    _inherits(Dialog, _Component);

    function Dialog() {
        _classCallCheck(this, Dialog);

        return _possibleConstructorReturn(this, (Dialog.__proto__ || Object.getPrototypeOf(Dialog)).apply(this, arguments));
    }

    _createClass(Dialog, [{
        key: "onClose",
        value: function onClose() {
            if (this.props.onClose) {
                this.props.onClose();
            }
        }
    }, {
        key: "render",
        value: function render() {
            var _classNames;

            var self = this;
            var props = self.props;
            var state = self.state;
            var clsp = props.clsp;
            for (var attr in props.showBodyStyle) {
                var value = props.showBodyStyle[attr];
                if (props.show) {
                    document.body.style[attr] = value;
                } else {
                    document.body.style[attr] = '';
                }
            }
            return require("react").createElement(
                "div",
                { ref: "wrap", className: (0, _classnames2["default"])((_classNames = {}, _defineProperty(_classNames, clsp + '-dialogWrap', true), _defineProperty(_classNames, clsp + '-dialogWarp--hide', !props.show), _defineProperty(_classNames, props.wrapClassName, true), _classNames))
                },
                require("react").createElement(
                    "div",
                    { ref: "dialog", className: [clsp + '-dialog'], style: props.style },
                    require("react").createElement(
                        "div",
                        { className: [clsp + '-dialog-hd'] },
                        require("react").createElement(
                            "div",
                            { className: [clsp + '-dialog-hd-title'] },
                            props.title
                        ),
                        props.close == false ? null : require("react").createElement(
                            "span",
                            { className: [clsp + '-dialog-hd-close'], onClick: self.onClose.bind(this) },
                            props.close
                        )
                    ),
                    require("react").createElement(
                        "div",
                        { className: [clsp + '-dialog-bd'] },
                        props.children
                    )
                ),
                require("react").createElement("div", { className: [clsp + '-dialogMask'], onClick: props.maskAllowClose ? self.onClose.bind(this) : null })
            );
        }
    }]);

    return Dialog;
}(_react.Component);

Dialog.defaultProps = require('./defaultProps');
exports["default"] = Dialog;

module.exports = Dialog;